<div class="pt-20 flex justify-center items-center transition-all" [ngClass]="isVisible ? 'opacity-100 delay-700' : 'opacity-0 pointer-events-none'" *ngIf="isVisible">
    <div class="min-h-full flex items-center justify-center py-12 px-4 sm:px-6 lg:px-8 w-full">
        <div class="max-w-md w-full space-y-8">
            <div>
                <svg class="mx-auto h-12 w-auto" xmlns="http://www.w3.org/2000/svg" fill="#3B83F6" viewBox="0 0 24 24"
                    aria-hidden="true">
                    <path stroke-width="1"
                        d="M9.2 15.6 12 13.5 14.75 15.6 13.7 12.2 16.5 10H13.1L12 6.6L10.9 10H7.5L10.25 12.2ZM12 22Q8.525 21.125 6.263 18.012Q4 14.9 4 11.1V5L12 2L20 5V11.1Q20 14.9 17.738 18.012Q15.475 21.125 12 22ZM12 12Q12 12 12 12Q12 12 12 12Q12 12 12 12Q12 12 12 12ZM12 19.9Q14.6 19.075 16.3 16.6Q18 14.125 18 11.1V6.375L12 4.125L6 6.375V11.1Q6 14.125 7.7 16.6Q9.4 19.075 12 19.9Z" />
                </svg>
                <h2 class="mt-6 text-center text-3xl font-semibold transition-all text-blue-500">{{
                    userNews.user.userName }}</h2>
            </div>
            <div class="mt-8 space-y-6">
                <div class="flex items-center justify-center">
                    <img [src]="userNews.user.userImg" class="bg-white w-20 h-20 rounded-full" referrerpolicy="no-referrer">
                </div>
                <div>
                    <p class="mt-2 text-center text-medium text-gray-700 dark:text-white">
                        Accesso con {{ userNews.user.withGoogle ? 'Google' : 'email e password' }}
                    </p>
                </div>
                <div>
                    <p class="mt-2 text-center text-sm text-gray-700 dark:text-white">
                        Non sei tu?
                    </p>
                </div>
                <div class="flex items-center justify-center" (click)="logOut()" routerLink="/">
                    <button type="submit"
                        class="group relative w-full sm:w-1/2 flex items-center justify-center p-4 border border-transparent text-sm font-medium rounded-md text-white focus:outline-none focus:ring-2 focus:ring-offset-2 bg-blue-700 hover:bg-blue-800 focus:ring-blue-500">
                        <span>Esci</span>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>